Notifications Get and read all user notifications.

A list of all publicly available methods for interacting with the API.

GET

Get notifications Notifications User -/user/notifications

Query method

GEThttp://apilocal.stableproxy.com/v2/user/notifications

Query parameters

IdentifierRegulationsExample
mark-as-readNot necessarilynullableex-booleanfalse
searchNot necessarilynullablestring191
per-pageNot necessarilynullableinteger13
pageNot necessarilynullableinteger17
sort-byNot necessarilynullablestringapp\_validators\_ex_in_rule""
sort-orderNot necessarilynullablestringin:asc, desc"asc"

Code examples

async function getUserNotifications() {
   const baseUrl = 'http://apilocal.stableproxy.com/v2';
   const req = await fetch(baseUrl + '/user/notifications?' + Object.entries({
         "mark-as-read": false,
         "search": 191,
         "per-page": 13,
         "page": 17,
         "sort-by": "",
         "sort-order": "asc"
      }).map(([key, value]) => key + "=" + value).join('&'), {
         method: 'GET',
         headers: {
            'Authorization': 'API-Token [YOUR TOKEN]',
            'Content-Type': 'application/json'
         }
      }
   );
   
   const res = await req.json();
}

Examples of answers